@import "src/sass/abstracts/abstracts";

$card-width: 300px;
$card-height: 85px;
$card-margin: 10px;

.cards-container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;

  .card {
    cursor: pointer;
    width: $card-width;
    height: $card-height;
    margin: $card-margin;

    @include respond-to-smaller-than-breakpoint("sm") {
      width: 100%;
      min-height: $card-height;
      height: auto;
    }

    transition-property: box-shadow;
    transition-duration: 0.25s;

    &:hover {
      box-shadow: 0px 2px 20px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
    }

    &:focus {
      box-shadow: 0px 2px 20px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
    }

    .card-header {
      display: flex;
      flex: 1;
      height: 100%;
      align-items: center;

      .avatar {
        display: flex;
        justify-content: center;
        align-items: center;
      }

      .mat-card-subtitle {
        margin-bottom: 0;
      }
    }
  }
}

@include button-toolbar();
@include content();
